Retrieve Documents and Signatories
Retrieve the valid blank ICFs and signatories for a participant.
GET
/api/{version}/app/sitevault/econsent/participant/{participant_id}URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
participant_id | The Veeva SiteVault ID of the participant. You can use the /query interface to query the Participant (subject__v) object for the participant ID. |
Request
Section link for Requestcurl --location --request GET 'https://myvault.veevavault.com/api/v26.1/app/sitevault/econsent/participant/V0X000000002001' \ --header 'Authorization: {SESSION_ID}'Response
Section link for Response[
{
"subject__v.id": "V0X000000002001",
"documents": [
{
"document.version_id__v": "40_1_0",
"signatory__v": [
{
"signatory__v.id": "V5A000000004002"
}
]
}
]
}
]Response Details
Section link for Response DetailsThe response lists the valid blank ICFs and signatories for the participant. Valid blank ICFs are those that are not already sent or in a workflow.